Bug 189783 - Review Request: e17: The enlightenment DR17 window manager
Review Request: e17: The enlightenment DR17 window manager
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael J Knox
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 13:01 EDT by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-21 02:03:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2006-04-24 13:01:10 EDT
Spec URL: http://fedora.ivazquez.net/files/extras/e17.spec
SRPM URL: http://fedora.ivazquez.net/files/extras/e17-0.16.999.026-1.src.rpm
Description: Enlightenment is a next-generation window manager. It does not use any advanced X extensions available on some new XServers yet, as it is striving to be backwards-compatible to all XServers even on the oldest machines. It is designed to not just use new features, but to also work on small, limited processing power devices as well as the most powerful of today's desktop and server processors.
Comment 1 Michael J Knox 2006-04-25 00:44:34 EDT
rpmlint output

[monkey@localhost i386]$ rpmlint e17-0.16.999.026-1.i386.rpm
E: e17 setuid-binary
/usr/lib/enlightenment/modules/cpufreq/linux-gnu-i686/freqset root 04555
E: e17 non-standard-executable-perm
/usr/lib/enlightenment/modules/cpufreq/linux-gnu-i686/freqset 04555

[monkey@localhost i386]$ rpmlint e17-devel-0.16.999.026-1.i386.rpm
W: e17-devel no-documentation

spec looks good, builds OK on FC5. md5sum is happy

would be nice to have the menus sync with Gnome, but that aside, e17 works as
expected. 

If you can confirm the output of rpmlint is OK, then I can approve it. 
Comment 2 Rudolf Kastl 2006-05-03 05:09:28 EDT
i am probably extending my xdg menu generator to support e17... having menus in
sync needs actual code to be written.

note: theres currently no wm besides fluxbox (which uses my generator) that has
menus generated according to the fdo specs.
Comment 3 Rudolf Kastl 2006-05-03 13:08:44 EDT
i just hacked up a new version of the menu gen. it has an additional helper
application using inotify to monitor changes with the menu and spawn a regen of
the menu once it happens (push system instead pull system).

i also looked at the way e17 menus are done... its definitely possible to hack
something up in quite short time. 

i will get back to you on irc if you are on later tonight ignacio. Starting to
write a prototype this evening.

Comment 4 Rudolf Kastl 2006-05-05 05:23:45 EDT
prototype is done... a bit shaky yet... though

features:

written python
fully localized menu generated according to the fdo specs
optional prototype using inotify for makeing menu generation a push service

id love to discuss further integration with you on irc if you are back on ignacio.

maybe just drop me a quick email.
Comment 5 Michael J Knox 2006-05-11 02:37:26 EDT
Any progress on this package? 
Comment 6 Rudolf Kastl 2006-05-11 03:10:04 EDT
actually i am also looking for ignacio (i heard hes pretty involved atm) to get
review/input/patches for the menu gen. do you know python micheal? If so i could
attach the prototype here.. actually it was you requesting proper menus :)
Comment 7 Michael J Knox 2006-05-12 21:12:19 EDT
No, I doubt I would be suitable to review and comment on someone's python code. 

I only said it would be nice to have the menus sync with gnome and kde, however,
its not a review requirement that I am aware of. 

Ignacio has confirmed that the rpmlint is OK, so as far as I am concerned its
good to go. 

I am awaiting the import before I close this request. 

The menu gen tool should probably be filed as a bug against e17 (once imported
and built) as an enhancement, since its e17 is not dependent on it to work. 
Comment 8 Michael J Knox 2006-06-22 05:31:54 EDT
Any movement on this?
Comment 9 Michael J Knox 2006-06-25 18:09:00 EDT
Review for release 1:
* RPM name is OK
* Source enlightenment-0.16.999.026.tar.gz is the same as upstream
* This is nolonger the latest version (.028)

Needs work:
* BuildRequires: gettext is missing (required to build the translations)
* Build failed in mock due to missing gettext

Minor:
* Duplicate BuildRequires: libidn-devel (by curl-devel)


Notes:

No feed back from submitter since 2006-04-25, two months now. 
Comment 10 Rudolf Kastl 2006-06-29 18:07:53 EDT
#9 .028 needs some of the deps updated aswell to build successful
Comment 11 Michael J Knox 2006-07-21 02:03:07 EDT
Due to the submitter going MIA. I am closing this review. 

I will resubmit the package for review. 

Note You need to log in before you can comment on or make changes to this bug.